function seq_length=collatz(n)
% compute length of Collatz sequence of integers resolving to 1
% For any positive integer, n:
%   Divide n by 2 if n is even
%   Multiply n by 3 and add 1 if n is odd
%   Repeat for the result
%   Continue until the result is 1%
sequence = n;
next_value = n;
while next_value > 1
    if %% write condition, which is true if n is even
        next_value = next_value/2;
    else
        next_value = 3*next_value+1;
    end
    sequence = [sequence, next_value];
end
%% write statement, which computes the length of the sequence


