function [L,A,P] = ex06x01(A)
n = size(A,1);                                    % get dimension of A, A in R^(n x n)
p = 1 : n;                                        % pivot element vector 
d = abs(diag(A));                                 % diagonal entries of input matrix A

for k = 1 : n-1                                   % consider k-th column
  cnt = k;
  while (cnt < n) & abs(A(p(k),p(k))) < eps * d(p(k)) 
    cnt = cnt + 1;
    tmp = p(k);                                   % interchange p(k) -> p(n) and
    p(k:end-1) = p(k+1:end);                      % p(k+1:end)-> p(k:end-1) in vector p
    p(end) = tmp;
  end    
  if abs(A(p(k),p(k))) >= eps * d(p(k))           % elimination possible
    for j = k+1 : n                               
      
      %% compute  l_jk, store in A 
      %% A(p(j),p(k)) =    

      for i = k+1 : n                             
        %%  % modify entries in (n-k-1)*(n-k-1) submatrix 
        %% A(p(j),p(i)) = 
      end 
    end
  else
    error('Decomposition   P * A * P^T = L * R   not possible!')
  end
end

L = tril(A(p,p),-1)+eye(n);
A = triu(A(p,p));
P = eye(n);
P(:,p) = P;

